<?php 
	require '/database.php';
	if ( !empty($_POST)) {
		$nameError = null;
		$dateError = null;

		
		$name = $_POST['name'];
		$date = $_POST['date'];

		
		$valid = true;
		if (empty($name)) {
			$nameError = 'Please enter Name ';
			$valid = false;
		}
		
		
		
	
		if ($valid) {
			$pdo = Database::connect();
			$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$sql = "INSERT INTO student_record (name,date) values(?,  ?)";
			$q = $pdo->prepare($sql);
			$q->execute(array($name, $date));
			Database::disconnect();
			header("Location: index.php");
		}
	}
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Student Info</title>
</head>

<link   href="bootstrap.min.css" rel="stylesheet">
<script type="text/javascript" src="tcal.js"></script> 
<link rel="stylesheet" type="text/css" href="tcal.css" />

<body>

    <div class="container" >
    			<div class="span10 offset1">
    				<div class="row">
		    			<h3>Add a Student</h3>
		    		</div>
    		<div class="well">
	    			<form class="form-horizontal" action="student_create.php" method="post">
					  <div class="control-group <?php echo !empty($nameError)?'error':'';?>">
					    <label class="control-label"> Name</label>
					    <div class="controls">
					      	<input name="name" type="text"  placeholder=" Name" value="<?php echo !empty($name)?$name:'';?>">
					      	<?php if (!empty($nameError)): ?>
					      		<span class="help-inline"><?php echo $nameError;?></span>
					      	<?php endif; ?>
					    </div>
					  </div>
					 
					 
					 
					 
					 <div class="control-group <?php echo !empty($date)?'error':'';?>">
					    <label class="control-label">Date</label>
					    <div class="controls">
						<input type="text"  name="date" class="tcal" value="<?php echo !empty($date)?$date:'';?>" placeholder="date" />
					      	
					      	<?php if (!empty($dateError)): ?>
					      		<span class="help-inline"><?php echo $dateError;?></span>
					      	<?php endif; ?>
					    </div>
					  </div>
					  
					  
					  
					  
					  
					  
					  
			
					  
					  
					  
					  
					  
					  
					  
					  <div class="form-actions">
						  <button type="submit" class="btn btn-success">Save</button>
						  <a class="btn" href="student.php">Back</a>
						</div>
					</form>
				</div>
				</div>
    </div> <!-- /container -->
  </body>
  
</html>